http:
  middlewares:
    chain-no-auth:
      chain:
        middlewares:
          - middlewares-rate-limit
          - middlewares-compress
          - middlewares-secure-headers
          - middlewares-https-redirectscheme

    chain-auth:
      chain:
        middlewares:
          - middlewares-basic-auth
          - middlewares-rate-limit
          - middlewares-compress
          - middlewares-secure-headers
          - middlewares-https-redirectscheme

    chain-authelia:
      chain:
        middlewares:
          - middlewares-rate-limit
          - middlewares-https-redirectscheme
          - middlewares-secure-headers
          - middlewares-authelia
          - middlewares-compress
